Subject: RE: INFORM proposal and MP-BGP (RFC 2858)

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 10 Jul 2002 17:46:25 -0400

Pedro:
  
See below

Ben

> -----Original Message-----
> From: Pedro Roque Marques [mailto:[email-masked]]
> Sent: Wednesday, July 10, 2002 5:24 PM
> To: Abarbanel, Benjamin
> Cc: [email-masked]'
> Subject: RE: INFORM proposal and MP-BGP (RFC 2858)
> 
> 
> Abarbanel, Benjamin writes:
> 
> >> 
> > But the potential for the race condition with the new session is
> > still there.
> 
> I'm sorry but i really disagree with your statement. It would also
> appear to me that if that was the truth we would have bigger 
> issues than
> the one we are discussing...
> 
> Would you please detail, under what scenario(s) you can have data from
> an old BGP session being accepted as valid in a new BGP session ?
> 

I was not saying that two different TCP sessions will cross each other and
convey each other messages in a mixed up way. I was saying that the
potential
for the "ships crossing in the night" that caused the first race condition
with
the capabilities could be there again, after the new session is established.
If some combination of routes or capabilities or just router execution
timing
caused it, it could happen again with similar environment and thus cause
the condition. Murphy's law always strikes the same way if the conditions
are right. Simply reseting a session I would believe could replay the
condition
that cause the first race condition and thus throw the two routers into a 
perpetual session restart loop.

Ben

---

From: "John G. Scudder" <[email-masked]>
Date: Wed, 10 Jul 2002 17:52:33 -0400

>perpetual session restart loop.

Since the hypothetical problem relates to dynamic capability 
advertisement, why would it recur?  Surely any sensible 
implementation will only dynamically advertise a capability as a 
result of a configuration change.  The changed configuration will be 
used to produce the capabilities in the initial OPEN of the new 
session.  Thus, no need to use dynamic capability on the new session 
(until and unless the configuration changes again).

--John